Bug 530159 - (CVE-2009-3385) CVE-2009-3385 SeaMonkey scriptable plugin execution in mail (mfsa2010-06)
CVE-2009-3385 SeaMonkey scriptable plugin execution in mail (mfsa2010-06)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,source=mozilla,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-21 14:16 EDT by Josh Bressers
Modified: 2010-04-08 16:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-08 16:33:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-10-21 14:16:05 EDT
Mozilla security researcher Georgi Guninski reported that scriptable plugin
content, such as Flash objects, could be loaded and executed in SeaMonkey
mail messages by embedding the content in an iframe inside the message. If
a user were to reply to or forward such a message, malicious JavaScript
embedded in the plugin content could potentially steal the contents of the
message or files from the local filesystem.
Comment 1 Jan Lieskovsky 2010-03-18 09:07:09 EDT
Public now via:
  http://www.mozilla.org/security/announce/2010/mfsa2010-06.html
Comment 3 Vincent Danen 2010-04-08 16:33:10 EDT
This issue was corrected in Red Hat Enterprise Linux 3 and 4 via:

https://rhn.redhat.com/errata/RHSA-2009-1531.html

as referenced in the seamonkey.spec:

# fixed in 1.9.0.15
...
Patch378:      mozilla-371976-x.patch

Which corresponds to the linked mozilla bug in the upstream advisory: https://bugzilla.mozilla.org/show_bug.cgi?id=371976

Note You need to log in before you can comment on or make changes to this bug.